/*
 * Copyright (C) 2018 Jean-Rémy Buchs <jrb0001@692b8c32.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package net.as205315.applications.ora.server.packets;

import io.vertx.core.buffer.Buffer;

/**
 *
 * @author Jean-Rémy Buchs <jrb0001@692b8c32.de>
 */
public class DisconnectPacket extends Packet {

    public DisconnectPacket(int client, int frame) {
        super(client, frame);
    }

    @Override
    public Buffer toBuffer() {
        return Buffer.buffer(9).appendUnsignedIntLE(getClient()).appendUnsignedIntLE(getFrame()).appendUnsignedByte((short) 0xBF);
    }

    @Override
    public Buffer toReplayBuffer() {
        return Buffer.buffer(13).appendUnsignedIntLE(getClient()).appendUnsignedIntLE(5).appendUnsignedIntLE(getFrame()).appendUnsignedByte((short) 0xBF);
    }
}
