/*
 * Copyright (C) 2018 Jean-Rémy Buchs <jrb0001@692b8c32.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package net.as205315.applications.ora.server.packets;

import io.vertx.core.json.JsonObject;

/**
 *
 * @author Jean-Rémy Buchs <jrb0001@692b8c32.de>
 */
public class HandshakeRequestOrder extends ServerOrder {

    private final String mod;
    private final String modVersion;
    private final String map;

    public HandshakeRequestOrder(int client, int frame, String mod, String modVersion, String map) {
        super(client, frame);

        this.mod = mod;
        this.modVersion = modVersion;
        this.map = map;
    }

    @Override
    public String getOrderName() {
        return "HandshakeRequest";
    }

    @Override
    public JsonObject serialize() {
        JsonObject obj = new JsonObject();

        obj.put("Handshake", new JsonObject().put("Mod", mod).put("Version", modVersion).put("Map", map));

        return obj;
    }
}
