/*
 * Copyright (C) 2018 Jean-Rémy Buchs <jrb0001@692b8c32.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package net.as205315.applications.ora.server.utils;

import io.vertx.core.Handler;
import io.vertx.core.http.HttpClient;
import io.vertx.core.http.HttpClientResponse;
import java.net.URI;

/**
 *
 * @author Jean-Rémy Buchs <jrb0001@692b8c32.de>
 */
public class VertxUtils {

    public static void getNow(HttpClient client, String uri, Handler<HttpClientResponse> handler) {
        URI parsedUri = URI.create(uri);
        String host = parsedUri.getHost();
        int port = parsedUri.getPort() < 0 ? 80 : parsedUri.getPort();
        String path = parsedUri.getPath() + "?" + (parsedUri.getQuery() == null ? "" : parsedUri.getQuery());
        client.getNow(port, host, path, handler);
    }

    public static void putNow(HttpClient client, String uri, String body, Handler<HttpClientResponse> handler) {
        URI parsedUri = URI.create(uri);
        String host = parsedUri.getHost();
        int port = parsedUri.getPort() < 0 ? 80 : parsedUri.getPort();
        String path = parsedUri.getPath() + "?" + (parsedUri.getQuery() == null ? "" : parsedUri.getQuery());
        client.put(port, host, path, handler).end(body);
    }
}
